<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */

?>
<?php
if (get_theme_mod('peccular_newsletter_enable', true) == true) { ?>
	<div class="newsletter-area" id="newsletter">
		<div class="newsletter-bg"></div>
		<div class="<?php if(get_theme_mod('peccular_newsletter_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_newsletter_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
			<div class="newsletter-sign-box">
				<?php
				$showStatic = true;
				for( $i = 1; $i < 2; $i++ ){				
					$peccular_newsletter_page_id = get_theme_mod('peccular_newsletter_page_icon'.$i); 
					if(!empty($peccular_newsletter_page_id)){
						$showStatic = false;
						break;
					}
				}
				$peccular_newsletter_page_id = get_theme_mod('peccular_newsletter_page');	
				$peccular_newsletter_maintitle = get_theme_mod('peccular_newsletter_maintitle', 'Subscribe to our newsletter! Stay always in touch!');
				?>
				<div class="row row-eq-height md-1">
					<div class="col-xl-5 col-lg-5 col-md-12 col-sm-12 col-xs-12 pd-0">
						<?php if($peccular_newsletter_maintitle){ ?>
							<div class="peccular-section-head" style="text-transform : <?php if(get_theme_mod('peccular_newsletter_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_newsletter_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php }elseif(get_theme_mod('peccular_newsletter_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_newsletter_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } ?> ">
								<h2 style="text-align: <?php if(get_theme_mod('peccular_newsletter_head_align','Left') == 'Left'){ ?> Left <?php } elseif(get_theme_mod('peccular_newsletter_head_align','Center') == 'Center'){ ?> Center <?php } elseif(get_theme_mod('peccular_newsletter_head_align','Right') == 'Right'){ ?> right <?php } ?> "><?php echo ($peccular_newsletter_maintitle);  ?></h2>	
							</div>
						<?php }?>
					</div>
					<?php
					$peccular_newsletter_shortcode = get_theme_mod('peccular_newsletter_shortcode', '[Add Form shortcode]');
					?>				
					<div class="col-xl-7 col-lg-7 col-md-12 peccular-newsletter-member-wrap">									
						<?php echo do_shortcode($peccular_newsletter_shortcode);?>
					</div>
					
				</div>
				<div class="clearfix"></div>
			</div>
		</div> 
		<div class="clearfix"></div>
	</div>	
	<div class="clearfix"></div>
<?php }?>

<footer class="footer-area" id="footer">
	<div class="footer-bg"></div>
	<?php if(is_active_sidebar('peccular-footer1') || is_active_sidebar('peccular-footer2') || is_active_sidebar('peccular-footer3') || is_active_sidebar('peccular-footer4') ){ ?>
		<div class="footer-logo">
			<?php 
			$peccular_footerlogo_image = get_theme_mod('peccular_footerlogo_image');
			if(!empty($peccular_footerlogo_image)){
				echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_footerlogo_image).'" class="peccular-info-imgboxshape" />';
			}else{
				echo '<img alt="info us" src="'.get_template_directory_uri().'/images/footerlogo.png" class="peccular-info-imgboxshape" />';
			}
			?>	
		</div>

		<div class="top-area">
			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	
				<div class="row row-eq-height md-1">
					<div class="s-footer col-xl-4 col-lg-3 col-md-6 col-sm-6 col-xs-12 single-footer-1" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
						<div class="single-footer">
							<?php if(is_active_sidebar('peccular-footer1')): 
								dynamic_sidebar('peccular-footer1');
							endif;
							?>	
						</div>
					</div>
					<div class="s-footer col-xl-3 col-lg-3 col-md-6 col-sm-6 col-xs-12 single-footer-2" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
						<div class="single-footer">
							<?php if(is_active_sidebar('peccular-footer2')): 
								dynamic_sidebar('peccular-footer2');
							endif;
							?>	
						</div>
					</div>
					<div class="s-footer col-xl-2 col-lg-3 col-md-6 col-sm-6 col-xs-12 single-footer-3"style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
						<div class="single-footer">
							<?php if(is_active_sidebar('peccular-footer3')): 
								dynamic_sidebar('peccular-footer3');
							endif;
							?>	
						</div>
					</div>
					<div class="s-footer col-xl-3 col-lg-3 col-md-6 col-sm-6 col-xs-6 single-footer-4" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
						<?php
						$footercopyright = get_theme_mod('peccular_footer_copyrighttext', 'Copyright © Insurance Company 2024. All Rights Reserved.');
						?>	
						<div class="single-footer">
							<?php if(is_active_sidebar('peccular-footer4')): 
								dynamic_sidebar('peccular-footer4');
							endif;
							?>	

						</div>
					</div> 
					<div class="clearfix"></div>
				</div>

				</div>
			<div class="clearfix"></div>
		</div>
	<?php } ?>

						<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>

				<div class="row m-0 copy-box">
					<div class="footer-text col-xl-12 col-lg-12 col-md-12 col-sm-12 " style="text-align : <?php if(get_theme_mod('peccular_footer_copyright_align','Left') == 'Left'){ ?> Left <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Center') == 'Center'){ ?> Center <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Right') == 'Right'){ ?> right <?php } ?> ">
						<?php echo $footercopyright;?>
					</div>
			<!-- 		<div class="col-xl-4 col-lg-5 col-md-12 col-sm-12 right-txt">
						<div class="row footer-text">
							<?php
							$peccular_privacybtn = get_theme_mod('peccular_privacybtn', 'Privacy Policy');	
							$peccular_privacylink = get_theme_mod('peccular_privacylink', '');	

							$peccular_tcobtn = get_theme_mod('peccular_tcobtn', 'Terms & Condition');	
							$peccular_tconlink = get_theme_mod('peccular_tconlink', '');	
							?>

							<div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 blockk--text">
								<?php if($peccular_privacybtn){ ?>
								<a class="header-btns" href="<?php echo $peccular_privacylink ?>"><span><?php echo ($peccular_privacybtn );  ?></span> 
								</a>
									<?php }?> 
							</div>
							<div class="col-xl-6 col-lg-6 col-md-6 col-sm-6">
								<?php if($peccular_tcobtn){ ?>
								<a class="header-btns" href="<?php echo $peccular_tconlink ?>"><span><?php echo ($peccular_tcobtn );  ?></span>
								</a>
									<?php }?> 
							</div>
						</div>
					</div> -->

				</div>

			

	<div class="clearfix"></div>

</footer><!-- #colophon -->
<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>
<!-- woocommerce Gallery -->
<script type="text/javascript">  
	jQuery(document).ready(function(){
		setTimeout(function(){
			jQuery(".flex-control-nav").wrapInner("<div class='owl-carousel'></div>");
			jQuery('.flex-control-nav li').addClass('item');

			$('.flex-control-nav .owl-carousel').owlCarousel({
				refreshClass: 'owl-refresh',
                // autoplayTimeout: 10000,
				loop: true,
				margin: 10,
                // autoplay: true,
				navText: [
					'<i class="fa fa-angle-left" aria-hidden="true"></i>',
					'<i class="fa fa-angle-right" aria-hidden="true"></i>'
					],
				responsive: {
					0: {
						items: 3,
						nav: true
					},
					475: {
						items: 3,
						nav: true
					},
					768: {
						items: 4,
						nav: true
					},
					992: {
						items: 4,
						nav: true
					},
					1200: {
						items: 4,
						nav: true,
						loop: true
					}
				}
			});
		});
	});
</script>
<!-- end -->

<script type="text/javascript">
	jQuery(document).ready(function(){
		setTimeout(function(){
			jQuery(".woocommerce-related-products section.related.products ul.products.columns-3").wrapInner("<div class='owl-carousel'></div>");
			jQuery('.woocommerce-related-products section.related.products ul.products.columns-3 li').addClass('item');

			$('.woocommerce-related-products section.related.products ul.products.columns-3 .owl-carousel').owlCarousel({
				refreshClass: 'owl-refresh',
                // autoplayTimeout: 10000,
				loop: true,
				margin: 30,
				autoplay: true,
				navText: [
					'<i class="fa fa-angle-left" aria-hidden="true"></i>',
					'<i class="fa fa-angle-right" aria-hidden="true"></i>'
					],
				responsive: {
					0: {
						items: 1,
						nav: true
					},
					767: {
						items: 2,
						nav: true
					},
					768: {
						items: 3,
						nav: true
					},
					992: {
						items: 3,
						nav: true
					},
					1200: {
						items: 4,
						nav: true,
						loop: true
					}
				}
			});
		});
	});
</script>

<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lightgallery.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-autoplay.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-fullscreen.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-thumbnail.js" type="text/javascript"  ></script>
<script type="text/javascript">
	lightGallery(document.getElementById('products-austrak'), {
		subHtmlSelectorRelative: true,
		thumbnail:true
	});
	lightGallery(document.getElementById('products-sherings'), {
		subHtmlSelectorRelative: true
	}); 
	lightGallery(document.getElementById('products-austmark'), {
		subHtmlSelectorRelative: true
	}); 
</script>   
<?php wp_footer(); ?>
<?php
if(get_theme_mod('back_top_btn_on_off') != 'on' ){
	?>
	<a id="back2Top" title="Back to top" href="#"> &#10148; </a>
<?php } ?> 
</body>
</html>