<?php 
$lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 10,
));

$wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
$wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
));

//Bottom Header
$wp_customize->add_section( 'peccular_service_inner_pages' , array(
    'title'    => __( 'Service Page', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel3'
) );

$wp_customize->add_setting('peccular_serviceinnerpages_nav', array(
   'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_serviceinnerpages_nav', array(
   'section' => 'peccular_service_inner_pages',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'peccular_serviceinnerpage_post_image_height',
            'peccular_serviceins_button_enable', 
            'peccular_service_button_texts'
       ),
         'active' => true,
     ),          
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array(   
            'peccular_serviceinnerpage_titleheight',             
            'peccular_servicesinner_ttl_color',
            'peccular_servicesinner_ttlhvr_color',
            'peccular_servicesinner_btnt_color',
            'peccular_servicesinner_content_color', 
            'peccular_servicesinner_over1_color', 
            'peccular_servicesinner_over2_color', 
            'peccular_servicesinner_contentbgh_color'
        ),
    )
  ),
)));


$wp_customize->add_setting('peccular_serviceinnerpage_post_image_height',array(
    'default' => 309,
    'sanitize_callback' => 'peccular_sanitize_integer'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_serviceinnerpage_post_image_height',array(
    'label' => __('Service Image Height','peccular'),
    'section' => 'peccular_service_inner_pages',
    'input_attrs' => array(
        'min' => 0,
        'max' => 1000,
        'step' => 1,
    ),
)));

// to show & hide another button
$wp_customize->add_setting( 'peccular_serviceins_button_enable', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_serviceins_button_enable', array( 'label' => 'Button Display', 'section' => 'peccular_service_inner_pages', 'settings' => 'peccular_serviceins_button_enable', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button 
$wp_customize->add_setting(
    'peccular_service_button_texts',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Read More', 'template-premium' )
    )
);
$wp_customize->add_control(
    'peccular_service_button_texts',
    array(
        'settings'      => 'peccular_service_button_texts',
        'section'       => 'peccular_service_inner_pages',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'template-premium' )
    )
);

addColorPalatOption($wp_customize, 'peccular_servicesinner_ttl_color', 'peccular_service_inner_pages', 'Service Title Color', '');
addColorPalatOption($wp_customize, 'peccular_servicesinner_ttlhvr_color', 'peccular_service_inner_pages', 'Service Title Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_servicesinner_content_color', 'peccular_service_inner_pages', 'Service Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_servicesinner_contentbgh_color', 'peccular_service_inner_pages', 'Services Image BG Color', '');
addColorPalatOption($wp_customize, 'peccular_servicesinner_over1_color', 'peccular_service_inner_pages', 'Service Hover Overlay Color 1', '');
addColorPalatOption($wp_customize, 'peccular_servicesinner_over2_color', 'peccular_service_inner_pages', 'Service Hover Overlay Color 2', '');
addColorPalatOption($wp_customize, 'peccular_servicesinner_btnt_color', 'peccular_service_inner_pages', 'Service Button Color', '');
?>