<?php 
	/**
	* Template Name: Contact Page
	*
	* @package peccular Premium
	*/
	get_header(); 
?>
<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
<header class="header--inner area-inner position-relative" style="background: url('<?php echo !empty($image)?$image : get_template_directory_uri().'/images/inner.png';?>">
            <div class="peccular-innerpage-overlay"></div> 
             <div class="site-details">
                <div class="image-icon">

    <?php         
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?> 
    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
      <?php the_title( '<h1 class="ht-main-title text-center">', '</h1>' ); ?>
        <div class="clearfix"></div>
         <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="cimageinner breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="Breadcrumb_title">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
            <div class="clearfix"></div>
        </div> 
 <?php } ?> 
    </div>
 <?php } ?> 

     </div>

</div> 
</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>
		<main id="innerpage-box">
			<div class="inner_contentbox">
				<?php 
					$peccular_contact_page_address_label = get_theme_mod('peccular_contactpage_address_label', 'Address');
					$peccular_contact_block2_addtext = get_theme_mod('peccular_contact_block2_addtext', '411 Main St Herman New Hampshire 68029 (402) 456-7353 United States');

					$peccular_contact_page_phone11 = get_theme_mod('peccular_contact_page_phone11', '+012 3456 789');
					$peccular_contact_page_phone12 = get_theme_mod('peccular_contact_page_phone12', '+091 2345 567');

					$peccular_contact_block2_title = get_theme_mod('peccular_contact_block2_title', 'Phone');
					$peccular_contact_block2_addlb = get_theme_mod('peccular_contact_block2_addlb', 'Address');
					$peccular_contact_block2_emaillbl = get_theme_mod('peccular_contact_block2_emaillbl', 'Email');
					$peccular_contact_block2_emailtext = get_theme_mod('peccular_contact_block2_emailtext', 'info@support.com');
					$peccular_contact_block2_email = get_theme_mod('peccular_contact_block2_email', 'info@mail.com');

					$peccular_contact_page_formtitle1 = get_theme_mod('peccular_contact_page_formtitle1', 'Get in Touch: Ways to Contact Us');

					$peccular_contact_page_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add Form [SHORTCODE] Here');

					$peccular_contact_page_iframe_shortcode = get_theme_mod('peccular_contactpage_iframe_shortcode', 'Add Map Embed Code Here');

					$peccular_contact_page_formleft = get_theme_mod('peccular_contact_page_formleft', 'Get in Touch: Ways to Contact Us');
					$peccular_contact_page_formleftp = get_theme_mod('peccular_contact_page_formleftp', 'insurance form');
					$peccular_contact_page_formleftptext = get_theme_mod('peccular_contact_page_formleftptext', 'Please share information to help us with your insurance need');
				?>
				<div id="peccular-contactus-wrap">
					<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?> container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
						<div class="row m-0"> 
							<?php if( get_theme_mod('peccular_contactbox_display','show' ) == 'show') :
							?>  
							<div class="col-xl-5 col-lg-5 col-md-12 col-sm-12 col-xs-12 p-0">
								<div class="contact-block-bg">
									<h2><?php echo ($peccular_contact_page_formleft);  ?></h2>


									<div class="col-xl-12 boxes-gap">
										<div class="row m-0">
											<?php if($peccular_contact_page_phone11 || $peccular_contact_page_phone12){ ?>
											<div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 contact-icon">
												<i class="fa fa-phone" aria-hidden="true"></i>			
											</div>
											<div class="col-xl-10 col-lg-10 col-md-10 col-sm-10 peccular-contact-area bx" style="text-align: <?php if(get_theme_mod('peccular_contactpage_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_contactpage_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_contactpage_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
												
												<div class="contact_info_area">
													<a href="tel:<?php echo ($peccular_contact_page_phone11);  ?>"><?php echo ($peccular_contact_page_phone11);  ?></a>	,
													<a href="tel:<?php echo ($peccular_contact_page_phone12);  ?>"><?php echo ($peccular_contact_page_phone12);  ?></a>	
												</div>	
											</div>
											<?php }?>
										</div>
									</div>

									<div class="col-xl-12 boxes-gap">
										<div class="row m-0">
											<?php if($peccular_contact_block2_emailtext || $peccular_contact_block2_email){ ?>
											<div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 contact-icon">
												<i class="fa fa-envelope" aria-hidden="true"></i>		
											</div>
											<div class="col-xl-10 col-lg-10 col-md-10 col-sm-10 peccular-contact-area bx" style="text-align: <?php if(get_theme_mod('peccular_contactpage_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_contactpage_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_contactpage_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
												
												<div class="contact_info_area">
													<a href="mailto:<?php echo $peccular_contact_block2_emailtext;?>"><?php echo ($peccular_contact_block2_emailtext);  ?></a>,	
													<a href="mailto:<?php echo $peccular_contact_block2_email;?>"><?php echo ($peccular_contact_block2_email);  ?></a>		
												</div>	
											</div>
											<?php }?>
										</div>
									</div>	
									<div class="col-xl-12 boxes-gap">
										<div class="row m-0">
											<?php if($peccular_contact_block2_addtext){ ?>
											<div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 contact-icon">
												<i class="fa fa-map-marker" aria-hidden="true"></i>	
											</div>
											<div class="col-xl-10 col-lg-10 col-md-10 col-sm-10 peccular-contact-area" style="text-align: <?php if(get_theme_mod('peccular_contactpage_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_contactpage_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_contactpage_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
												
												<div class="contact_info_area">
													<?php echo ($peccular_contact_block2_addtext);  ?>
												</div>	
											</div>
											<?php }?>
										</div>
									</div>

								</div>

							</div>
							<?php endif ?>
							<div class="col-xl-7 col-lg-7 col-md-12 col-sm-12 col-xs-12 contact-gap">
								<div class="peccular-contact-form-block">
									<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
										<div class="row m-0 form-top">
											<div class="col-xl-3 col-lg-3 col-md-3 contact--img">
												<?php 
													$peccular_incont_image = get_theme_mod('peccular_incont_image');
													if(!empty($peccular_incont_image)){
														echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_incont_image).'" class="peccular-ins-imgboxshape" />';
													}else{
														echo '<img alt="ins us" src="'.get_template_directory_uri().'/images/insurance.png" class="peccular-ins-imgboxshape" />';
													}
												?>	

											</div>
											<div class="col-xl-9 col-lg-9 col-md-9" style="text-align: <?php if(get_theme_mod('peccular_contactform__head_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_contactform__head_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_contactform__head_align','Right') == 'Right'){ ?> right <?php } ?> ">

												<div class="inner">
												<h2 style="text-transform : <?php if(get_theme_mod('peccular_cformpage_head_cases','Uppercase') == 'Uppercase'){ ?> Uppercase <?php } elseif(get_theme_mod('peccular_cformpage_head_cases','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_cformpage_head_cases','Capitalize') == 'Capitalize'){ ?> Capitalize <?php } ?> ">
													<?php echo ($peccular_contact_page_formleftp);?>
													</h2>

													<p><?php echo ($peccular_contact_page_formleftptext);?></p>
												</div>
											</div>
										</div>

										<div class="row m-0">
											<?php if(!empty($peccular_contact_page_form_shortcode)){ ?>

											<div class="peccular-contact-page-form">		
												
												<?php echo do_shortcode($peccular_contact_page_form_shortcode);?>
											</div>

											<?php }?>

											<div class="clearfix"></div>
										</div>
										<div class="clearfix"></div>
									</div>
								</div>	
							</div>
						</div>
					</div>
				</div>
<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?> container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">

					<?php if(!empty($peccular_contact_page_iframe_shortcode)){ ?>
					<div class="peccular-contact-mapbox">
						<?php echo ($peccular_contact_page_iframe_shortcode);  ?>
					</div>
					<?php }?>
				</div>			
				<div class="clearfix"></div>
			</div>
		</main>
		<?php get_footer(); ?>