<?php     
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link rel="preconnect" href="https://fonts.gstatic.com"> 
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>

	<link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">

	<link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">

	<link rel="preconnect" href="https://fonts.gstatic.com"> 
	<link href="https://fonts.googleapis.com/css2?family=Allerta&display=swap" rel="stylesheet">
	
	<!-- new ico -->
	<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css
	" rel="stylesheet">

	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/home1.css">
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/teampopup.css">

	<!-- for tab section css-->
	<!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"> -->
	<!-- for tab section css-->

	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Tenor+Sans&display=swap" rel="stylesheet">

	<link href="https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap" rel="stylesheet">

	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.11.5/gsap.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.11.5/ScrollTrigger.min.js"></script>
		<!-- for tab section css-->

	<!-- <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js"></script> -->
		<!-- for tab section css-->

	<script type="text/javascript">
		$(document).ready(function(){
			$("#formButton").click(function(){
				$("#form1").toggle();
			});
		});
	</script>

	<script type="text/javascript">
		$(document).ready(function(){
			$("button.box1-acc").click(function(){
				$(".box-1").toggle();
			});
		});
	</script>
	<script type="text/javascript">
		$(document).ready(function(){
			$("button.box2-acc").click(function(){
				$(".box-2").toggle();
				$('.box-1.prowoocoomercetab-description').hide(0);
			});
		});
	</script>
	<script type="text/javascript">
		$(document).ready(function(){
			$("button.box3-acc").click(function(){
				$(".box-3").toggle();
				$('.box-2.prowoocoomercetab-description').hide(0);

			});
		});
	</script>
	<script type="text/javascript">
		$(document).ready(function(){
			$("button.box4-acc").click(function(){
				$(".box-4").toggle();

			});
		});
	</script>
	<script type="text/javascript">
		$(document).ready(function(){
			$("button.box5-acc").click(function(){
				$("div#reviews").toggle();
				$('.box-3.prowoocoomercetab-description').hide(0);

			});
		});
	</script> 

<!-- -->
  	<script type="text/javascript">
		$(document).ready(function(){
			$(".phone-box i.fa-envelope-o").click(function(){
				$(".phone-box a.h-email").toggle();
			});
		});
	 </script>
	 	  	<script type="text/javascript">
		$(document).ready(function(){
			$(".mob-socials i.fa.fa-share-alt").click(function(){
				$(".mob-socials .soc").toggle();
			});
		});
	 </script>

	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->
		<!-- #masthead -->
		<?php if(get_theme_mod('peccular_header_style', 'Above Slider') == 'Above Slider' ){ ?>
			<header class="site-header header-transparent header mo-left header-seo" style="position:relative;">
				<div class="header-bg">
					<div class="mainbottom-header top-bar-head bottom-header <?php echo esc_attr(bakerystore_sticky_menu()); ?>">
						<?php
						$header_top_tagline = get_theme_mod('header_top_tagline', 'Your Safety, Our Priority.');
						$header_top_email = get_theme_mod('header_top_email', 'xyzasdfinfo@support.com');
						$header_top_socialtagline = get_theme_mod('header_top_socialtagline', 'Follow Us :');

						?>	
						<?php if( get_theme_mod('peccular_topbar_display','show' ) == 'show') :
							?> 
							<div class="top-bar m-0"> 
								<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
									<div class="row m-0">
										<div class="col-xl-6 col-lg-6 col-md-8 col-sm-8">
											<div class="row m-0">
<?php if($header_top_tagline){ ?>			
												<div class="col-xl-5 col-lg-7 col-md-6 col-sm-6 top-label">
													<?php echo ($header_top_tagline );  ?>
												</div>
												<?php }?>
												  <?php if($header_top_email){ ?>
												<div class="col-xl-6 col-lg-5 col-md-6 col-sm-12 top-mail position-relative">
													<i class="fa fa-envelope" aria-hidden="true"></i><a href="mailto:<?php echo $header_top_email;?>"><?php echo ($header_top_email );  ?></a>
												</div>
												 <?php }?> 
												  <?php if($header_top_email){ ?>
	<div class="col-xl-6 col-lg-5 col-md-6 col-sm-6 pd-0 heademail phone-box">							
						<i class="fa fa-envelope-o" aria-hidden="true"></i><a class="h-email" href="mailto:<?php echo $header_top_email;?>"><?php echo $header_top_email ;?></a>	
					</div> 
					  <?php }?> 

											</div>
										</div>	
										<div class="col-xl-3 offset-xl-3 col-lg-4 offset-lg-2 col-md-4 col-sm-4 top-socials">
											<div class="row m-0">
												<div class="col-xl-4 offset-xl-3 col-lg-5 offset-lg-1 social-tagline p-0">
													<?php echo ($header_top_socialtagline );  ?>
												</div>
												<div class="col-xl-5 col-lg-6 social-icons p-0">
													<?php
													$facebook = get_theme_mod('peccular_header_fb', '//facebook.com/');
													$twitter = get_theme_mod('peccular_header_tw', '//twitter.com/');	
													$instagram = get_theme_mod('peccular_header_instagram', '//instagram.com/');			
													$pinterest = get_theme_mod('peccular_header_pinterest', 'https://www.pinterest.com');
													?>
													<?php if(!empty($twitter)){ ?>
														<a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa-brands fa-x-twitter"></i></a>
													<?php }?>
													<?php if(!empty($facebook)){ ?>
														<a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a>
													<?php }?>
													<?php if(!empty($instagram)){ ?>
														<a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram"></i></a>
													<?php }?>	
													<?php if(!empty($pinterest)){ ?>
														<a href="<?php echo $pinterest ?>" title="Pinterest" class="site-button sharp" target="_blank"><i class="fa fa-pinterest"></i></a>
													<?php }?>
												</div>
												<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12 socials mob-socials pd-0">
							<i class="fa fa-share-alt"></i>
								<?php
													$facebook = get_theme_mod('peccular_header_fb', '//facebook.com/');
													$twitter = get_theme_mod('peccular_header_tw', '//twitter.com/');	
													$instagram = get_theme_mod('peccular_header_instagram', '//instagram.com/');			
													$pinterest = get_theme_mod('peccular_header_pinterest', 'https://www.pinterest.com');
													?>
								<div class="soc">
										<?php if(!empty($twitter)){ ?>
														<a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa-brands fa-x-twitter"></i></a>
													<?php }?>
													<?php if(!empty($facebook)){ ?>
														<a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a>
													<?php }?>
													<?php if(!empty($instagram)){ ?>
														<a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram"></i></a>
													<?php }?>	
													<?php if(!empty($pinterest)){ ?>
														<a href="<?php echo $pinterest ?>" title="Pinterest" class="site-button sharp" target="_blank"><i class="fa fa-pinterest"></i></a>
													<?php }?>							

								</div>
						</div><!--social icon -->	
											</div>
										</div>	
									</div>
								</div>
							</div>
						<?php endif ?>
  
						<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid<?php }?>">	
							<div class="header--bottom-bar">
								<div class="row row-eq-height m-0">
									<div class="col-xl-3 col-lg-3 col-md-5 col-sm-5">
										<div class="header-logo">
											<?php 
											if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
												the_custom_logo();
										else : 
											if ( is_front_page() ) : ?>
												<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
													<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
												<?php endif; ?>
											<?php else : ?>
												<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
											<?php endif; ?>
										<?php endif; ?> 
										<?php if (get_theme_mod('peccular_show_tagline',false)) {?>
											<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>
										<?php }?>		
									</div>
								</div>
								<div class="col-xl-7 col-lg-7 col-md-4 col-sm-4 col-xs-12 head-menu pd-0">
									<div class="inside-full-height">
										<?php
										if( get_theme_mod('menu_fontsize',true) ) {
											$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
										}
										if( get_theme_mod('dropdown_menu_fontsize',true) ) {
											$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
										}
										?>
										<div class="site-navigation">
											<div class="hamburger-menus">
												<span></span>
												<span></span>
												<span></span>
												<span></span>
												<span></span>
												<span></span>
												<span></span>
												<span></span>
												<span></span>
											</div>
											<nav class="navigation">
												<div class="overlaybg"></div><!--  /.overlaybg -->
												<!-- Main Menu -->
												<div class="menu-wrapper">
													<div class="menu-content">
														<?php
														if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
															wp_nav_menu ( array(
																'menu_class' => 'mainmenu ht-clearfix primary-nav with-indicator',
																'container'=> 'ul',
																'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
																'theme_location' => 'primary',  
															)); 
														} else {
															wp_nav_menu ( array(
																'menu_class' => 'mainmenu ht-clearfix primary-nav with-indicator',
																'container'=> 'ul',
																'theme_location' => 'primary',  
															)); 
														}
														?>
													</div> <!-- /.hours-content-->

													<div class="clearfix"></div>

												</div><!-- /.menu-wrapper -->

												<div class="col-xl-4 col-lg-2 col-md-3 col-sm-3 position-relative show in responsive-block">
									<?php 
									$peccular_heraderbutton = get_theme_mod('peccular_heraderbutton', 'Get A Quote'); 
									$peccular_heraderbuttonlink = get_theme_mod('peccular_heraderbuttonlink', ''); 
									?>
									<?php if( get_theme_mod('peccular_mainheadbtnbx_display','show' ) == 'show') :
										?>   
										<div class="header-button">
											<a class="header-btn" href="<?php echo $peccular_heraderbuttonlink ?>"><span><?php echo ($peccular_heraderbutton );  ?> </span>
											</a>
										</div>
									<?php endif ?>
								</div>

											</nav>	
										</div><!--  /.site-navigation -->
									</div>
									<div class="clearfix"></div> 
								</div><!--9div close-->
								<div class="col-xl-2 col-lg-2 col-md-3 col-sm-3 position-relative">
									<?php 
									$peccular_heraderbutton = get_theme_mod('peccular_heraderbutton', 'Get A Quote'); 
									$peccular_heraderbuttonlink = get_theme_mod('peccular_heraderbuttonlink', ''); 
									?>
									<?php if( get_theme_mod('peccular_mainheadbtnbx_display','show' ) == 'show') :
										?>   
										<div class="header-button">
											<a class="header-btn" href="<?php echo $peccular_heraderbuttonlink ?>"><span><?php echo ($peccular_heraderbutton );  ?> </span>
											</a>
										</div>
									<?php endif ?>
								</div>
							</div>
						</div>
					</div>		
			<!-- </div>				
			<div class="clearfix"></div>
		</div> -->
		<!--end main top header-->	 
	</div>
	<div class="clearfix"></div>
</header>

<?php } elseif(get_theme_mod('peccular_header_style', 'On Slider') == 'Above Slider' ){ ?>

	<header class="site-header header-transparent header mo-left header-seo" style="position:relative">
		<div class="mainbottom-header top-bar-head bottom-header " style="border-radius: 0px;">
			<div class="top-bar m-0">
				<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?> <?php if( get_theme_mod( 'peccular_show_sticky_header', false) != '') { ?>sticky-header peccular-header <?php } ?>">	
					<div class="row">
						<?php
						$header_top_tagline = get_theme_mod('header_top_tagline', 'Exclusive Offers Just a Click Away – ');
						$header__top_link = get_theme_mod('header__top_link', 'Shop Now!');  
						$header__shoplink = get_theme_mod('header__shoplink', '');  
						$singnin_text = get_theme_mod('singnin_text', 'Sign In Or Join Now');
						$singnin_textlink = get_theme_mod('singnin_textlink', '');
						?>	
						<div class="col-xl-6 col-lg-6 col-md-6 col-sm-6">
							<div class="taglinne"><?php echo ($header_top_tagline );  ?> <a href="<?php echo $header__shoplink ?>"><?php echo ($header__top_link );  ?></a></div>
						</div>	
						<div class="col-xl-6 col-lg-6 col-md-4 col-sm-4">
							<div class="tagline text-right">
								<a href="<?php echo $singnin_textlink ?>"><?php echo ($singnin_text );  ?></a></div>
							</div>	
						</div>
					</div>
				</div>

				<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?> <?php if( get_theme_mod( 'peccular_show_sticky_header', false) != '') { ?>sticky-header peccular-header <?php } ?>">	
					<div class="header-nav-area">
						<div class="row m-0">
							<?php
							$header__womencategories = get_theme_mod('header__womencategories', 'Women');
							$header__womencategorieslink = get_theme_mod('header__womencategorieslink', '');  

							$header__mencategories = get_theme_mod('header__mencategories', 'Men');
							$header__mencategorieslink = get_theme_mod('header__mencategorieslink', '');  
							?>
							<?php 
							if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
								$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
							}
							if( get_theme_mod('pages_logoheight',true) ) {
								$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
							}
							if( get_theme_mod('pages_logoToppadding',true) ) {
								$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
							}
							if( get_theme_mod('pages_logobottompadding',true) ) {
								$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
							}
							if( get_theme_mod('pages_logoTopmargin',true) ) {
								$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
							}
							if( get_theme_mod('pages_logobottommargin',true) ) {
								$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
							}
							?>
							<div class="col-xl-4 col-lg-4 col-md-3 col-sm-3 p-0">
								<ul class="dropdown">
									<li><a href="<?php echo $header__womencategorieslink ?>"><?php echo ($header__womencategories );  ?></a> </li>
									<li><a href="<?php echo $header__mencategorieslink ?>"><?php echo ($header__mencategories );  ?></a> </li>		
								</ul> 	
							</div>
							<div class="col-xl-4 col-lg-5 col-md-7 col-sm-7">
								<?php 
								if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
									the_custom_logo();
							else : 
								if ( is_front_page() ) : ?>
									<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
										<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
									<?php endif; ?>
								<?php else : ?>
									<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
								<?php endif; ?>
							<?php endif; ?> 
							<?php if (get_theme_mod('peccular_show_tagline',false)) {?>
								<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>
							<?php }?>		
						</div>
						<div class="col-xl-4 col-lg-3 col-md-2 col-sm-2 p-0">
							<div class="row top-account-info">
								<?php if( get_theme_mod('peccular_header_sbutton_enable',true) == true){ ?>
									<div class="col-xl-9 col-lg-9 col-md-9 col-sm-6 top-form width-auto">
										<button type="button" id="formButton" class="pull-right"></button>
										<form id="form1" role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
											<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'woocommerce' ); ?></label>
											<input type="search" class="effect-24" placeholder="Search Product" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'woocommerce' ); ?>" />
											<input type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'woocommerce' ); ?>" />
											<input type="hidden" name="post_type" value="product" />
										</form>
									</div>
								<?php }?>	

								<div class="col-xl-3 col-lg-3 col-md-3 col-sm-3 header-woo-cart p-0 width-auto">
									<div class="row">
										<div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 width-auto">
											<?php if(function_exists ('wc_get_cart_url')){?>	
												<div class="total-count">
													<?php if( get_theme_mod('peccular_checkout_button_display','show' ) == 'show') :
														?>  
														<div class="mini-cart-dropdown"> 
															<?php global $woocommerce; ?> <i class="fa fa-shopping-bag"></i> <?php echo WC()->cart->get_cart_contents_count(); ?> Items - <?php echo WC()->cart->get_cart_total(); ?> 
															<?php
															$peccular_checkoutbutton = get_theme_mod('peccular_checkoutbutton', 'Checkout'); 
															$peccular_checkoutbtnlink = get_theme_mod('peccular_checkoutbtnlink', '');  
															?>
															<div class="btncheckout">
																<a class="btn-checkout" target="_blank" href="<?php echo $peccular_checkoutbtnlink ?>"><span> <?php echo ($peccular_checkoutbutton );  ?></span></a>	
															</div>
														</div>	
													<?php endif ?>
													<a href="<?php echo wc_get_cart_url();?>" class="">
														<svg xmlns="http://www.w3.org/2000/svg" width="22.715" height="23.5" viewBox="0 0 22.715 23.5">
															<g id="cart" transform="translate(-64.499 -47.479)">
																<path id="Path_734" data-name="Path 734" d="M-58.241-.364h1.674l1.409,0h.663l2.2,0h.716l2.3,0,2.365,0,1.328,0h1.708c.209,0,.417,0,.626,0l.184,0a1.055,1.055,0,0,1,.818.268.843.843,0,0,1,.135.2c.111.191.227.377.35.56a14.084,14.084,0,0,1,2.554,8.4v.121c0,.987-.024,1.973-.056,2.96q-.031.954-.043,1.909c0,.042,0,.085,0,.129q0,.256-.006.512c-.016,1.3-.038,2.595-.076,3.891q-.006.2-.011.4A4.131,4.131,0,0,1-40.578,22.2a3.557,3.557,0,0,1-2.538.913h-15.05a3.485,3.485,0,0,1-2.46-1.014,4.453,4.453,0,0,1-1.084-3.33l-.013-.411c-.039-1.266-.06-2.532-.077-3.8q0-.256-.007-.512l0-.128c-.009-.633-.027-1.265-.049-1.9-.034-.983-.056-1.965-.056-2.949,0-.06,0-.06,0-.121A14.9,14.9,0,0,1-59.26.4l.071-.112A1.159,1.159,0,0,1-58.241-.364Zm.688,1.907A7.914,7.914,0,0,0-59.1,4.689H-42c-.5-1.056-1.021-2.1-1.543-3.146Zm-2.137,5.1c0,2.172-.01,4.343-.015,6.581l-.007,2.078c0,.615,0,.615,0,1.23q0,.411,0,.821,0,.524,0,1.048,0,.192,0,.384c0,.173,0,.347,0,.52l0,.151a1.837,1.837,0,0,0,.549,1.339,2.093,2.093,0,0,0,1.333.361h.2c.217,0,.434,0,.65,0l.467,0h2.461q1.253,0,2.507,0,1.146,0,2.291,0,1.178,0,2.355,0h1.321q.621,0,1.242,0h.456c.208,0,.415,0,.623,0l.181,0a1.724,1.724,0,0,0,1.212-.453,1.792,1.792,0,0,0,.487-1.393c0-.081,0-.081,0-.165,0-.182,0-.363,0-.545q0-.2,0-.4,0-.532,0-1.063,0-.5,0-1,0-1.459-.006-2.919c-.006-3.261-.006-3.261-.011-6.588Z" transform="translate(126.415 47.866)"/>
																<path id="Path_735" data-name="Path 735" d="M-22.234-1.253a1.212,1.212,0,0,1,.56.751c.018.1.03.209.041.314a3.024,3.024,0,0,0,.99,2.014,3.007,3.007,0,0,0,2.2.594,2.964,2.964,0,0,0,1.9-1.187,3.712,3.712,0,0,0,.489-1.684,1.242,1.242,0,0,1,.579-.808,1.214,1.214,0,0,1,.842.007,1.465,1.465,0,0,1,.523.586A4.622,4.622,0,0,1-15.18,2.762l-.121.132-.119.136a4.554,4.554,0,0,1-3.123,1.42A4.985,4.985,0,0,1-22.29,3.061,4.64,4.64,0,0,1-23.633-.115l0-.147a1,1,0,0,1,.264-.762A1.035,1.035,0,0,1-22.234-1.253Z" transform="translate(94.728 58.92)"/>
															</g>
														</svg>
													</a>
													<div class="count"><?php global $woocommerce; ?> <?php echo WC()->cart->get_cart_contents_count(); ?> 
												</div> 
											</div>
										<?php }?>
									</div>
									<div class="col-xl-5 col-lg-5 col-md-5 col-sm-5 width-auto">
										<?php
										$peccular_headermyacccbtnlink = get_theme_mod('peccular_headermyacccbtnlink', '');  
										?>
										<a class="my-acc" href="<?php echo $peccular_headermyacccbtnlink ?>"> <svg xmlns="http://www.w3.org/2000/svg" width="22.984" height="22.168" viewBox="0 0 22.984 22.168"> 
											<path id="profile" d="M-272.7-26.738a7.54,7.54,0,0,1,2.45,3.807l.057.2a7.311,7.311,0,0,1-.831,5.217,8.389,8.389,0,0,1-1.05,1.326l-.12.129a6.28,6.28,0,0,1-.985.81l.111.05.5.226.154.07A12.055,12.055,0,0,1-268.98-12.6l.094.09a10.675,10.675,0,0,1,1.287,1.457l.069.094a8.539,8.539,0,0,1,1.865,4.547l-.7.138-.2.04-.193.038-.177.035a2.807,2.807,0,0,1-.5.025l-.028-.1a10.291,10.291,0,0,0-2.288-4.469c-.105-.113-.205-.229-.3-.348a9.673,9.673,0,0,0-6.5-2.98,10.12,10.12,0,0,0-4.475.773l-.111.047a9.243,9.243,0,0,0-2.6,1.666l-.149.129a10.1,10.1,0,0,0-3,5.285,11.847,11.847,0,0,1-1.768-.276,5.138,5.138,0,0,1,.193-1.095l.044-.151a11.677,11.677,0,0,1,4.293-5.992l.092-.068a11.318,11.318,0,0,1,1.434-.861l.171-.09a10.574,10.574,0,0,1,1.23-.528v-.11c-.082-.062-.167-.12-.252-.176a6.712,6.712,0,0,1-1.737-1.868l-.108-.167a7.282,7.282,0,0,1-.826-5.257,7.241,7.241,0,0,1,3.2-4.456,8.308,8.308,0,0,1,1.988-.838l.2-.057A7.172,7.172,0,0,1-272.7-26.738Zm-7.991,1.652-.146.135a5,5,0,0,0-1.58,3.383,5.546,5.546,0,0,0,1.608,4.227,5.3,5.3,0,0,0,3.6,1.481,5.3,5.3,0,0,0,3.591-1.381l.146-.135a5,5,0,0,0,1.58-3.383,5.546,5.546,0,0,0-1.608-4.227A5.29,5.29,0,0,0-280.692-25.085Z" transform="translate(288.648 28.302)"/>
										</svg></a>	</div>
									</div>

								</div>
							</div>

						</div>
					</div>
				</div>			 
				<div class="row row-eq-height md-1">
					<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 head-menu pd-0">
						<div class="inside-full-height">
							<?php
							if( get_theme_mod('menu_fontsize',true) ) {
								$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
							}
							if( get_theme_mod('dropdown_menu_fontsize',true) ) {
								$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
							}
							?>
							<div class="site-navigation">
								<div class="hamburger-menus">
									<span></span>
									<span></span>
									<span></span>
									<span></span>
									<span></span>
									<span></span>
									<span></span>
									<span></span>
									<span></span>
								</div>
								<nav class="navigation">
									<div class="overlaybg"></div><!--  /.overlaybg -->
									<!-- Main Menu -->
									<div class="menu-wrapper">
										<div class="menu-content">
											<?php
											if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
												wp_nav_menu ( array(
													'menu_class' => 'mainmenu ht-clearfix',
													'container'=> 'ul',
													'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
													'theme_location' => 'primary',  
												)); 
											} else {
												wp_nav_menu ( array(
													'menu_class' => 'mainmenu ht-clearfix',
													'container'=> 'ul',
													'theme_location' => 'primary',  
												)); 
											}
											?>
										</div> <!-- /.hours-content-->

										<div class="clearfix"></div>

									</div><!-- /.menu-wrapper -->

								</nav>	
							</div><!--  /.site-navigation -->
						</div>
						<div class="clearfix"></div> 
					</div><!--9div close-->
				</div>
			</div>
		</div>
		<!--end main top header-->	
		<div class="clearfix"></div>
	</header>

<?php }?>

</div>