<?php    
$wp_customize->add_section(
	'peccular_info_section',
	array(
		'title' => __( 'About Us Section', 'peccular-premium' ),
		'panel' => 'peccular_premium_home_panel1',
		'priority' =>20
	) 
); 

$wp_customize->add_setting('peccular_info_nav', array(
	'sanitize_callback' => 'wp_kses_post',
)); 

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_info_nav', array(
	'section' => 'peccular_info_section',
	'priority' => 1,
	'buttons' => array(
		array(
			'name' => esc_html__('General', 'peccular-premium'),
			'icon' => 'dashicons dashicons-welcome-write-blog',
			'fields' => array(
				'peccular_info_enable',
				'peccular_infoyeartxtdesc',
				'peccular_infoyeartxtdesc2',
				'peccular_infotitlesubtt',
				'peccular_infotitle',
				'peccular_info_text',
				'peccular_info_button_display', 
				'peccular_infobutton',
				'peccular_infobtnlinks',
				'curtains_info_page1',
				'curtains_info_page2',
				'curtains_info_page3',
				'curtains_info_page4',
				'curtains_info_page5',
				'curtains_info_page6',
				'curtains_info_page7',
				'curtains_info_page8',
				'curtains_info_page9',
				'curtains_info_page10',
				'curtains_info_page11',
				'curtains_info_page12',
				'curtains_info_page_icon1',
				'curtains_info_page_icon2',
				'curtains_info_page_icon3',
				'curtains_info_page_icon4',
				'curtains_info_page_icon5',
				'curtains_info_page_icon6',
				'curtains_info_page_icon7',
				'curtains_info_page_icon8',
				'curtains_info_page_icon9',
				'curtains_info_page_icon10',
				'curtains_info_page_icon11',
				'curtains_info_page_icon12',
				'curtains_info_page_title_1',
				'curtains_info_page_title_2',
				'curtains_info_page_title_3',
				'curtains_info_page_title_4',
				'curtains_info_page_title_5',
				'curtains_info_page_title_6',
				'curtains_info_page_title_7',
				'curtains_info_page_title_8',
				'curtains_info_page_title_9',
				'curtains_info_page_title_10',
				'curtains_info_page_title_11',
				'curtains_info_page_title_12',
				'curtains_info_page_description_1',
				'curtains_info_page_description_2',
				'curtains_info_page_description_3',
				'curtains_info_page_description_4',
				'curtains_info_page_description_5',
				'curtains_info_page_description_6',
				'curtains_info_page_description_7',
				'curtains_info_page_description_8',
				'curtains_info_page_description_9',
				'curtains_info_page_description_10',
				'curtains_info_page_description_11',
				'curtains_info_npp_count_heading',
				'peccular_infoimg1_section_lbl',
				'peccular_info_image',
				'peccular_infotitle',
				'peccular_infotitlesubtt',
				'peccular_info_text',
				'peccular_infoimg1_section_lbl2',
				'peccular_info_image2',
				'curtains_info_page',
				'peccular_info_button_display',
				'peccular_infobutton',
				'peccular_infobtnlinks',
				'peccular_info_topshape_display', 
				'curtains_info_npp_count',
				'curtains_info_page_description_12'

			),
			'active' => true,
		),
		array(
			'name' => esc_html__('Style', 'peccular-premium'),
			'icon' => 'dashicons dashicons-art',
			'fields' => array(
				'peccular_info_section_bg_color',
				'peccular_info_section_bg_color',
				'peccular_info_section_bg_image',
				'peccular_info_image_opacity',
				'peccular_infottl_head_cases',
				'peccular_infottl_head_case',
				'curtains_info_title_case',
				'peccular_aboutyear_color',
				'peccular_aboutexp_color', 
				'peccular_aboutexpbg_color',
				'peccular_aboutexpcircle_color',
				'peccular_aboutexpheading_color',
				'peccular_aboutexpsubheading_color',
				'peccular_aboutexpcontent_color',
				'peccular_aboutexpicon_color',
				'peccular_aboutexpiconbg_color',
				'peccular_aboutexpicount_color',
				'peccular_aboutexpcounttxt_color',
				'peccular_aboutexpcontentbx_color',
				'peccular_aboutexpcontentbxbgc_color',
				'peccular_aboutexpcontentbrs_color',
				'peccular_aboutexplistic_color',
				'peccular_aboutexplistttl_color',
				'peccular_aboutbtntxt_color', 
				'peccular_aboutbtnbgx_color', 
				'peccular_aboutbtnbgxactive_color', 
				'peccular_aboutbtnhvrbg_color',
				'peccular_infobx_buttonhv_color'
			),
		),
		array(
			'name' => esc_html__('Layout', 'peccular-premium'),
			'icon' => 'dashicons dashicons-layout',
			'fields' => array(
				'peccular_info_padding',
				'peccular_info_section_t_padding',
				'peccular_info_section_b_padding',
				'peccular_info_padding',
				'peccular_info_section_t_padding',
				'peccular_info_section_b_padding',
				'peccular_info_section_width',
				'peccular_info_section_width'

			),
		)
	),
)));

$wp_customize->add_setting( 'peccular_info_enable',array(
	'default' => true,
	'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_info_enable',array(
	'label' => __( 'Disable Section','peccular' ),
	'section' => 'peccular_info_section'
)));


$wp_customize->add_setting('peccular_infoimg1_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
	new peccular_Info_Text( 
		$wp_customize,
		'peccular_infoimg1_section_lbl',
		array(
			'settings'      => 'peccular_infoimg1_section_lbl',
			'section'       => 'peccular_info_section',
			'label'         => __( '', 'peccular Premium' ), 
			'description'   => __( '<strong>Note-1:</strong> <strong>Add Section Left Image 1 Of [577* 700] Resolution To Show Image In Proper Way.</strong>', 'peccular Premium' ),
		)
	)
);
$wp_customize->add_setting( 'peccular_info_image', array(
	'default' => '',
	'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_info_image', array(
	'label' => __('Left Image 1','peccular'),
	'section' => 'peccular_info_section',
)));

$wp_customize->add_setting(
	'peccular_infoyeartxtdesc',
	array(
		'sanitize_callback' => 'peccular_sanitize_text',
		'default'           => __( '35 +', 'peccular-premium' )
	)
);
$wp_customize->add_control(
	'peccular_infoyeartxtdesc',
	array(
		'settings'      => 'peccular_infoyeartxtdesc',
		'section'       => 'peccular_info_section', 
		'type'          => 'text',
		'label'         => __( 'Add Year Text Here', 'peccular-premium' )
	)
);

$wp_customize->add_setting(
	'peccular_infoyeartxtdesc2',
	array(
		'sanitize_callback' => 'peccular_sanitize_text',
		'default'           => __( 'Years Experience', 'peccular-premium' )
	)
);
$wp_customize->add_control(
	'peccular_infoyeartxtdesc2',
	array(
		'settings'      => 'peccular_infoyeartxtdesc2',
		'section'       => 'peccular_info_section', 
		'type'          => 'text',
		'label'         => __( 'Add Experience Text Here', 'peccular-premium' )
	)
);



// to show & hide another button
$wp_customize->add_setting( 'peccular_info_topshape_display', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_info_topshape_display', array( 'label' => 'Circle Shape Display', 'section' => 'peccular_info_section', 'settings' => 'peccular_info_topshape_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Shape', 'hide' => 'Hide Shape', ), ) ); 
// end to show & hide button 
$wp_customize->add_setting(
	'peccular_infotitle',
	array(
		'sanitize_callback' => 'peccular_sanitize_text',
		'default'           => __( 'About Us', 'template-premium' )
	)
);
$wp_customize->add_control(
	'peccular_infotitle',
	array(
		'settings'      => 'peccular_infotitle',
		'section'       => 'peccular_info_section',
		'type'          => 'text',
		'label'         => __( 'Section Heading', 'template-premium' )
	)
);
$wp_customize->add_setting(
	'peccular_infotitlesubtt',
	array(
		'sanitize_callback' => 'peccular_sanitize_text',
		'default'           => __( 'Insurance for Life’s Unexpected Moments.', 'template-premium' )
	)
);
$wp_customize->add_control(
	'peccular_infotitlesubtt',
	array(
		'settings'      => 'peccular_infotitlesubtt',
		'section'       => 'peccular_info_section',
		'type'          => 'textarea',
		'label'         => __( 'Section Sub Heading', 'template-premium' )
	)
);
$wp_customize->add_setting(
	'peccular_info_text',
	array(
		'sanitize_callback' => 'peccular_sanitize_text',
		'default'           => __( 'Praesent posuere ante vitae sem facilisis porttitor. Donec viverra non nisi at dapibus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Phasellus nec odio.', 'template-premium' )
	)
);
$wp_customize->add_control(
	'peccular_info_text',
	array(
		'settings'      => 'peccular_info_text',
		'section'       => 'peccular_info_section',
		'type'          => 'textarea',
		'label'         => __( 'Section Content', 'template-premium' )
	)
);


$wp_customize->add_setting('peccular_infoimg1_section_lbl2', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
	new peccular_Info_Text( 
		$wp_customize,
		'peccular_infoimg1_section_lbl2',
		array(
			'settings'      => 'peccular_infoimg1_section_lbl2',
			'section'       => 'peccular_info_section',
			'label'         => __( '', 'peccular Premium' ), 
			'description'   => __( '<strong>Note-2:</strong> <strong>Add Section Left Image 2 Of [274* 360] Resolution To Show Image In Proper Way.</strong>', 'peccular Premium' ),
		)
	)
);
$wp_customize->add_setting( 'peccular_info_image2', array(
	'default' => '',
	'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_info_image2', array(
	'label' => __('Left Image 2','peccular'),
	'section' => 'peccular_info_section',
)));

$wp_customize->add_setting('curtains_info_npp_count_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
	new peccular_Customize_Heading(
		$wp_customize,
		'curtains_info_npp_count_heading',
		array(
			'settings'      => 'curtains_info_npp_count_heading',
			'section'       => 'peccular_info_section',
			'label'         => __( 'Number Of About Feature List To Show', 'soccerclub' ),
		)
	)
);    
$wp_customize->add_setting('curtains_info_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 1));
$wp_customize->add_control(
	'curtains_info_npp_count',
	array(
		'settings'      => 'curtains_info_npp_count',
		'section'       => 'peccular_info_section',
		'type'          => 'select',
		'label'         => __( 'Number Of About Feature List To Show', 'soccerclub' ),
		'choices'=>array(1,2,3)
	)
); 
//FEATURED PAGES
for( $i = 1; $i <= 3; $i++ ){
	$wp_customize->add_setting(
		'curtains_info_page'.$i,
		array(
			'sanitize_callback' => 'peccular_sanitize_text'
		)
	);
	$wp_customize->add_control(
		new peccular_Customize_Heading(
			$wp_customize,
			'curtains_info_page'.$i,
			array(
				'settings'      => 'curtains_info_page'.$i,
				'section'       => 'peccular_info_section',
				'label'         => __( 'About Feature List -', 'soccerclub-premium' ).$i
			)
		)
	);
	$wp_customize->add_setting(
		'curtains_info_page_icon'.$i,
		array(
			'default'           => 'fa fa-users',
			'sanitize_callback' => 'peccular_sanitize_text'
		)
	);        
	$wp_customize->add_control(
		new peccular_Fontawesome_Icon_Chooser(
			$wp_customize,
			'curtains_info_page_icon'.$i,
			array(
				'settings'      => 'curtains_info_page_icon'.$i,
				'section'       => 'peccular_info_section',
				'type'          => 'icon',
				'label'         => __( 'FontAwesome Icon', 'soccerclub-premium' ),
			)
		)
	);
	lzAddElement($wp_customize, 'curtains_info_page_description_'.$i, 'peccular_info_section', $type = 'text', $label="Count Text", $callback ='peccular_sanitize_text', $default='630');
	lzAddElement($wp_customize, 'curtains_info_page_title_'.$i, 'peccular_info_section', $type = 'text', $label="Title", $callback ='peccular_sanitize_text', $default='Happy Clients');
}


$wp_customize->add_setting(
	'curtains_info_page',
	array(
		'sanitize_callback' => 'peccular_sanitize_text',
		'default'           => __( '<ul> <li>Praesent condimentum purus</li>
			<li>Praesent condimentum purus</li>
			</ul>', 'peccular-premium' )
	)
);
$wp_customize->add_control(
	'curtains_info_page',
	array(
		'settings'      => 'curtains_info_page',
		'section'       => 'peccular_info_section', 
		'type'          => 'textarea',
		'label'         => __( 'List Content', 'peccular-premium' )
	)
);



// to show & hide another button
$wp_customize->add_setting( 'peccular_info_button_display', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_info_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_info_section', 'settings' => 'peccular_info_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button 

$wp_customize->add_setting(
	'peccular_infobutton',
	array(
		'sanitize_callback' => 'peccular_sanitize_text',
		'default'           => __( 'Discover More', 'template-premium' )
	)
);
$wp_customize->add_control(
	'peccular_infobutton',
	array(
		'settings'      => 'peccular_infobutton',
		'section'       => 'peccular_info_section',
		'type'          => 'text',
		'label'         => __( 'Button Text', 'template-premium' )
	)
);
$wp_customize->add_setting('peccular_infobtnlinks',   array('default'=> 'Add Link Here:', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_infobtnlinks',
	array(
		'settings'      => 'peccular_infobtnlinks',
		'section'       => 'peccular_info_section',
		'type'          => 'url',
		'label'         => __( 'Add Link For Button:', 'peccular' )
	)
);    



$wp_customize->add_setting( 'peccular_info_section_bg_color', array(
	'default' => '',
	'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_info_section_bg_color', array(
	'label' => __('Section BG Color','peccular'),
	'section' => 'peccular_info_section',
)));

$wp_customize->add_setting( 'peccular_info_section_bg_image', array(
	'default' => '',
	'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_info_section_bg_image', array(
	'label' => __('Section BG Image','peccular'),
	'section' => 'peccular_info_section',
)));

$wp_customize->add_setting('peccular_info_image_opacity',array(
	'default' => 1,
	'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_info_image_opacity',array(
	'label' => __('Section BG Opacity','peccular'),
	'section' => 'peccular_info_section',
	'input_attrs' => array(
		'min' => 0,
		'max' => 1,
		'step' => 0.1,
	),
)));

$wp_customize->add_setting('peccular_infottl_head_cases',array(
	'default' => 'None',
	'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_infottl_head_cases',array(
	'type' => 'select',
	'label' => __('Section Heading Case','peccular'),
	'choices' => array (
		'None' => __('None','peccular'),
		'Capitalize' => __('Capitalize','peccular'),
		'Uppercase' => __('Uppercase','peccular'),
		'Lowercase' => __('Lowercase','peccular')
	),
	'section' => 'peccular_info_section',
));

$wp_customize->add_setting('peccular_infottl_head_case',array(
	'default' => 'None',
	'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_infottl_head_case',array(
	'type' => 'select',
	'label' => __('Section Sub Heading Case','peccular'),
	'choices' => array (
		'None' => __('None','peccular'),
		'Capitalize' => __('Capitalize','peccular'),
		'Uppercase' => __('Uppercase','peccular'),
		'Lowercase' => __('Lowercase','peccular')
	),
	'section' => 'peccular_info_section',
));

$wp_customize->add_setting('curtains_info_title_case',array(
	'default' => 'Capitalize',
	'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('curtains_info_title_case',array(
	'type' => 'select',
	'label' => __('About Feature List Title Case','peccular'),
	'choices' => array (
		'None' => __('None','peccular'),
		'Capitalize' => __('Capitalize','peccular'),
		'Uppercase' => __('Uppercase','peccular'),
		'Lowercase' => __('Lowercase','peccular')
	),
	'section' => 'peccular_info_section',
));



$wp_customize->add_setting('peccular_info_padding',array(
	'sanitize_callback'   => 'esc_html'
));
$wp_customize->add_control('peccular_info_padding',array(
	'label' => __('Section Padding','peccular'),
	'section' => 'peccular_info_section'
));

$wp_customize->add_setting('peccular_info_section_t_padding',array(
	'default' => '6.5',
	'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_info_section_t_padding',array(
	'type' => 'number',
	'label' => __('Top','peccular'),
	'section' => 'peccular_info_section',
));
$wp_customize->add_setting('peccular_info_section_b_padding',array(
	'default' => '5.5',
	'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_info_section_b_padding',array(
	'type' => 'number',
	'label' => __('Bottom','peccular'),
	'section' => 'peccular_info_section',
));

$wp_customize->add_setting('peccular_info_section_width',array(
	'default' => 'Box Width',
	'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_info_section_width',array(
	'type' => 'select',
	'label' => __('Section Width','peccular'),
	'choices' => array (
		'Box Width' => __('Box Width','peccular'),
		'Full Width' => __('Full Width','peccular')
	),
	'section' => 'peccular_info_section',
));


addColorPalatOption($wp_customize, 'peccular_aboutyear_color', 'peccular_info_section', 'Year Text Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutexp_color', 'peccular_info_section', 'Experience Text Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutexpbg_color', 'peccular_info_section', 'Year/Experience Circle BG Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutexpcircle_color', 'peccular_info_section', 'Circle Shape Color', '');

addColorPalatOption($wp_customize, 'peccular_aboutexpheading_color', 'peccular_info_section', 'Section Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutexpsubheading_color', 'peccular_info_section', 'Section Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutexpcontent_color', 'peccular_info_section', 'Section Content Color', '');

addColorPalatOption($wp_customize, 'peccular_aboutexpicon_color', 'peccular_info_section', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutexpiconbg_color', 'peccular_info_section', 'Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutexpicount_color', 'peccular_info_section', 'Count Number Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutexpcounttxt_color', 'peccular_info_section', 'About Feature Title Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutexpcontentbx_color', 'peccular_info_section', 'Box BG Color 1', '');
addColorPalatOption($wp_customize, 'peccular_aboutexpcontentbxbgc_color', 'peccular_info_section', 'Box BG Color 2', '');
addColorPalatOption($wp_customize, 'peccular_aboutexpcontentbrs_color', 'peccular_info_section', 'Box Border Color', '');

addColorPalatOption($wp_customize, 'peccular_aboutexplistic_color', 'peccular_info_section', 'List Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutexplistttl_color', 'peccular_info_section', 'List Title Color', '');

addColorPalatOption($wp_customize, 'peccular_aboutbtntxt_color', 'peccular_info_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutbtnbgx_color', 'peccular_info_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutbtnbgxactive_color', 'peccular_info_section', 'Button Border Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutbtnhvrbg_color', 'peccular_info_section', 'Button Hover BG Color', '');
?>
