<?php 
$lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
));

$wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
$wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
)); 

//Bottom Header 
$wp_customize->add_section( 'peccular_contact_pages' , array(
    'title'    => __( 'Contact Page', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel3'
) );
$wp_customize->add_setting('peccular_contactpages_nav', array(
   'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
   'section' => 'peccular_contact_pages',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'peccular_contactpage_address_label',
            'peccular_contactbox_display',
            'peccular_contactpage_address',
            'peccular_contactpage_address_line1',
            'peccular_contactpage_address_line2',
            'peccular_contactpage_phone_label',
            'peccular_contactpage_phone',
            'peccular_contactpage_phone_another',
            'peccular_contactpage_email_label',
            'peccular_contactpage_email',
            'peccular_contactpage_email_another',
            'peccular_contactpage_formtitle',
            'peccular_contactpage_form_shortcode',
            'peccular_contactpage_iframe_shortcode',
            'peccular_contact_page_address2_label',
            'peccular_contact_page_phone22',
            'peccular_contact_page_phone11',
            'peccular_contact_block2_title',
            'peccular_contact_block2_addlb',
            'peccular_contact_block2_addtext',
            'peccular_contact_block2_phonelbl',
            'peccular_contact_page_formleftp',
            'peccular_contact_page_formleft',
            'peccular_contact_block2_phonetext',
            'peccular_contact_block2_emaillbl',
            'peccular_contact_block2_emailtext',
            'peccular_contact_page_formtitle1',
            'peccular_contact_page_phone12',
            'peccular_contact_block2_email',
            'peccular_incont_image',
            'peccular_contact_page_formleftptext',
            'peccular_contact_page_formtitle2',
            'peccular_contact_page_formtext1'


        ),
         'active' => true,
     ),      
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array( 
            'peccular_contactpage_content_align', 
            'peccular_contactpage_box_onload_effects',
            'peccular_contactpage_iconbg_color1',
            'peccular_contactpage_iconbg_color2',
            'peccular_contactpage_lefttexthvr_color',
            'peccular_contactpage_icon_color',
            'peccular_contactpage_label_color',
            'peccular_contactpage_info_color',
            'peccular_contactpage_infohover_color',
            'peccular_contactpage_border_color',
            'peccular_contactpage_headingborder_color1',
            'peccular_contactpage_headingborder_color2',
            'peccular_contactpage_formtext_color',
            'peccular_contactpage_formlabel_color',
            'peccular_contactpage_formbg_color',
            'peccular_contactpage_formborder_color',
            'peccular_contactpage_formbtnbg_color2',
            'peccular_contactpage_formbtntext_color',
            'peccular_contactpage_formbtnbrdr_color',
            'peccular_contactpage_mapborder_color',
            'peccular_contactpage_headingtext_color',
            'peccular_contactpage_leftrightbg_color',
            'peccular_contactpage_bxtt_color', 
            'peccular_contactpage_bxttxt_color',
            'peccular_contactpage_lefticon_color',
            'peccular_contactpage_lefttitle_color',
            'peccular_contactpage_lefttext_color',
            'peccular_contactpage_righticon_color',
            'peccular_contactpage_formmaintitle_color',
            'peccular_contactpage_formplacholder_color',
            'peccular_contactpage_formtext_color',
            'peccular_contactpage_formborder_color',
            'peccular_contactpage_formbtntext_color',
            'peccular_contactform__head_align',
            'peccular_cformpage_head_cases',
            'peccular_contactpage_formmaintxt_color', 
            'peccular_contactpage_formbxbg_color',
            'peccular_contactpage_formbxbgbr_color',
            'peccular_contact_page_formbtnbghov_color1',
            'peccular_contact_pagee_formbtntexthv_color'
        ),
    )
  ),
)));

// to show & hide another button
$wp_customize->add_setting( 'peccular_contactbox_display', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_contactbox_display', array( 'label' => 'Contact Details Display', 'section' => 'peccular_contact_pages', 'settings' => 'peccular_contactbox_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Contact Details', 'hide' => 'Hide Contact Details', ), ) ); 

$wp_customize->add_setting(
    'peccular_contact_page_formleft',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Get in Touch: Ways to Contact Us', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_formleft',
    array(
        'settings'      => 'peccular_contact_page_formleft',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Contact Details Heading', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contact_page_phone11',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '+012 3456 789', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_phone11',
    array(
        'settings'      => 'peccular_contact_page_phone11',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_phone12',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '+012 3456 789', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_phone12',
    array(
        'settings'      => 'peccular_contact_page_phone12',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Another Phone Number', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contact_block2_emailtext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'info@support.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_block2_emailtext',
    array(
        'settings'      => 'peccular_contact_block2_emailtext',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email Id', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contact_block2_email',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'info@mail.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_block2_email',
    array(
        'settings'      => 'peccular_contact_block2_email',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Another Email Id', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contact_block2_addtext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '411 Main St Herman New Hampshire 68029 (402) 456-7353 United States', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_block2_addtext',
    array(
        'settings'      => 'peccular_contact_block2_addtext',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Text', 'peccular' )
    )
);

$wp_customize->add_setting( 'peccular_incont_image', array(
    'default' => '',
    'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_incont_image', array(
    'label' => __('Contact Form Box Image','peccular'),
    'section' => 'peccular_contact_pages',
)));

$wp_customize->add_setting(
    'peccular_contact_page_formleftp',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'insurance form', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_formleftp',
    array(
        'settings'      => 'peccular_contact_page_formleftp',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Contact Form Heading', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contact_page_formleftptext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Please share information to help us with your insurance need', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_formleftptext',
    array(
        'settings'      => 'peccular_contact_page_formleftptext',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Contact Form Text', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_form_shortcode',
    array(
        'settings'      => 'peccular_contactpage_form_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'peccular' )
    )
);

$wp_customize->add_setting('peccular_contactpage_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('peccular_contactpage_iframe_shortcode', array('settings'=>'peccular_contactpage_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));

$wp_customize->add_setting('peccular_contactpage_content_align',array(
    'default' => 'Left',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_contactpage_content_align',array(
    'type' => 'select',
    'label' => __('Contact Detail Text Alignment','peccular'),
    'choices' => array (
        'Center' => __('Center','peccular'),
        'Left' => __('Left','peccular'),
        'Right' => __('Right','peccular')
    ),
    'section' => 'peccular_contact_pages',
));

$wp_customize->add_setting('peccular_cformpage_head_cases',array(
    'default' => 'Uppercase',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_cformpage_head_cases',array(
    'type' => 'select',
    'label' => __('Form Heading Case','peccular'),
    'choices' => array (
        'None' => __('None','peccular'),
        'Capitalize' => __('Capitalize','peccular'),
        'Uppercase' => __('Uppercase','peccular'),
        'Lowercase' => __('Lowercase','peccular')
    ),
    'section' => 'peccular_contact_pages',
));

$wp_customize->add_setting('peccular_contactform__head_align',array(
    'default' => 'Center',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_contactform__head_align',array(
    'type' => 'select',
    'label' => __('Contact Form Heading/Text Alignment','peccular'),
    'choices' => array (
        'Center' => __('Center','peccular'),
        'Left' => __('Left','peccular'),
        'Right' => __('Right','peccular')
    ),
    'section' => 'peccular_contact_pages',
));

//addColorPalatOption($wp_customize, 'peccular_contactpage_leftrightbg_color', 'peccular_contact_pages', 'Left Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_bxtt_color', 'peccular_contact_pages', 'Contact Details Heading Color', '');
//addColorPalatOption($wp_customize, 'peccular_contactpage_bxttxt_color', 'peccular_contact_pages', 'Contact Box Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_lefticon_color', 'peccular_contact_pages', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_righticon_color', 'peccular_contact_pages', 'Icon Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_lefttext_color', 'peccular_contact_pages', 'Address,Phone,Email Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_lefttexthvr_color', 'peccular_contact_pages', 'Phone & Email Text Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_formmaintitle_color', 'peccular_contact_pages', 'Form Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formmaintxt_color', 'peccular_contact_pages', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbxbg_color', 'peccular_contact_pages', 'Form Heading/Text Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbxbgbr_color', 'peccular_contact_pages', 'Form Box Border Color', '');


addColorPalatOption($wp_customize, 'peccular_contactpage_lefttitle_color', 'peccular_contact_pages', 'Form Label Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_formplacholder_color', 'peccular_contact_pages', 'Form Placeholder Color ', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_formborder_color', 'peccular_contact_pages', 'Form Fields Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtntext_color', 'peccular_contact_pages', 'Form Button text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_mapborder_color', 'peccular_contact_pages', 'Form Button BG color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbrdr_color', 'peccular_contact_pages', 'Form Button Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnbghov_color1', 'peccular_contact_pages', 'Form Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_pagee_formbtntexthv_color', 'peccular_contact_pages', 'Form Button Hover Text Color', '');
?>