<?php $showContent = get_theme_mod('slider_section_show_content', 'on'); ?>
<section class="banner__slider"> 
	<div class="<?php if(get_theme_mod('peccular_slider_section_width','Full Width') == 'Full Width'){ ?>container-fluid pd-0 <?php } elseif(get_theme_mod('peccular_slider_section_width','Full Width') == 'Box Width'){ ?> container <?php }?>">
		<?php if( get_theme_mod('peccular_slideimg_display','show' ) == 'show') :
			?>  
			<?php 
			$peccular_slideri_image = get_theme_mod('peccular_slideri_image');
			if(!empty($peccular_slideri_image)){
				echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_slideri_image).'" class="peccular-slideshape" />';
			}else{
				echo '<img alt="info us" src="'.get_template_directory_uri().'/images/shape-1.png" class="peccular-slideshape" />';
			}
			?>	
		<?php endif ?> 
		<div class="slider stick-dots">
			<?php
			$args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC', );
			if(!empty($pageId)){
				$args['page_id'] = absint($pageId);
			}
			$text = '';
			$query = new WP_Query($args);
			if($query->have_posts()){
				while($query->have_posts()) : $query->the_post(); 
					$slider1btntext = get_post_meta($post->ID, 'slider1btntext', false);
					$test_slider1btntext = !empty($slider1btntext[0]) ? $slider1btntext[0] : '';

					$slider2btntext = get_post_meta($post->ID, 'slider2btntext', false);
					$slider2btntext = !empty($slider2btntext[0]) ? $slider2btntext[0] : '';

					$designation = get_post_meta($post->ID, 'designation', false);
					$designation = !empty($designation[0]) ? $designation[0] : '';

					$sliderbtn1url = get_post_meta($post->ID, 'sliderbtn1url', false);
					$slider1_btn_url = !empty($sliderbtn1url[0]) ? $sliderbtn1url[0] : '';

					$peccular_slidersupptagb = get_theme_mod('peccular_slidersupptagb', 'Free Expert Advice');	
					$peccular_slidersupptagphone = get_theme_mod('peccular_slidersupptagphone', '+012 3456 789');

					?>
					<?php $total_slider_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
					<div class="slide">
						<?php
						$color_overlay_classes = '';
						$color_overlay_opacity  = get_theme_mod( 'cover_template_overlay_opacity' );
						$color_overlay_opacity  = ( false === $color_overlay_opacity ) ? 50 : $color_overlay_opacity;
						$color_overlay_classes .= ' opacity-' . $color_overlay_opacity;
						?>
						<div class="tm-banner_gradiant-effect<?php echo esc_attr( $color_overlay_classes ); ?>"></div>

						<div class="row row-eq-height">

							
							<div class="col-xl-7 col-lg-7 col-md-9 col-sm-9 slide__content slide__content__right">
								<div class="inside-full-height">
									<?php if($showContent == 'on'){?> 
										<div class="col-xl-11 col-lg-9 slide__content--headings">
											<h2 class="animated top-title display-10 font-weight-bold heading-font"><?php echo (get_the_title()); ?></h2>
											<p><?php
											echo get_the_content();
										?>   </p>

										<div class="row">
											<div class="col-xl-3 col-lg-4 col-md-4 col-sm-4 position-relative slider-btn">	
												<div class="header-button">
													<a class="header-btn btn-1" href="<?php echo $slider1_btn_url; ?>"><span><?php echo ($test_slider1btntext); ?></span>
													</a>
												</div>
											</div>
											<div class="col-xl-3 col-lg-4 col-md-4 col-sm-4  btn-right position-relative slider-btn2">	
												<div class="header-button">
													<a class="header-btn" href="<?php echo $designation; ?>"><span><?php echo ($slider2btntext); ?></span>
													</a>
												</div>
											</div>
										</div>
										<div class="clearfix"></div>
									</div>
								<?php }?>
							</div>
						</div>

						<div class="col-xl-5 col-lg-5 slide__img">
							<div class="inside-full-height">
								<?php 
								if(has_post_thumbnail()){
									$total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');	
									echo '<img class="full-image animated" data-animation-in="zoomOutImage" src="'.esc_url($total_slider_image[0]).'">';
								}?>
								  <?php if($peccular_slidersupptagb || $peccular_slidersupptagphone){ ?>
								<div class="row main-slider__support">
									<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 main-slider__support-icon">
										<i aria-hidden="true" class="fa fa-headphones"></i>                                    </div>
										<div class="col-xl-10 col-lg-10 col-md-10 col-sm-10 main-slider__support-content">
											<h5 class="main-slider__support-title"><?php echo ($peccular_slidersupptagb);  ?></h5>
											<p class="main-slider__support-number"><a href="tel:<?php echo ($peccular_slidersupptagphone);  ?>"><?php echo ($peccular_slidersupptagphone);  ?></a></p>
										</div> 
									</div> 
									<?php }?>
								</div>
							</div>

							<div class="clearfix"></div>
						</div>

					</div>
					<?php
				endwhile;
			}else{ 
				for($i=0;$i<4;$i++){?>
					<div class="slide">
						<?php
						$color_overlay_classes = '';
						$color_overlay_opacity  = get_theme_mod( 'cover_template_overlay_opacity' );
						$color_overlay_opacity  = ( false === $color_overlay_opacity ) ? 100 : $color_overlay_opacity;
						$color_overlay_classes .= ' opacity-' . $color_overlay_opacity;
						?>
						<div class="tm-banner_gradiant-effect<?php echo esc_attr( $color_overlay_classes ); ?>"></div>
						<div class="row row-eq-height">

							
							<div class="col-xl-7 col-lg-7 col-md-9 col-sm-9 slide__content slide__content__right">
								<div class="inside-full-height">
									<?php if($showContent == 'on'){?> 
										<div class="col-xl-11 col-lg-9 slide__content--headings">
											<h2 class="animated top-title display-10 font-weight-bold heading-font">Safeguarding Your Future, Today.</h2>
											<p>Donec iaculis accumsan sollicitudin. Donec nec vel nulla sollicitudin ullamcorper eu semper ex. Integer nunc neque.</p>
											<div class="row">
												<div class="col-xl-3 col-lg-4 col-md-4 col-sm-4 position-relative slider-btn">	
													<div class="header-button">
														<a class="header-btn btn-1" href=""><span>Read More</span>
														</a>
													</div>
												</div>
												<div class="col-xl-3 col-lg-4 col-md-4 col-sm-4  btn-right position-relative slider-btn2">	
													<div class="header-button">
														<a class="header-btn" href=""><span>Contact Us</span>
														</a>
													</div>
												</div>
											</div>
											<div class="clearfix"></div>

										</div>
									<?php }?>
								</div>
							</div>

							<div class="col-xl-5 col-lg-5 slide__img" >
								<div class="inside-full-height">
									<img class="full-image animated" data-animation-in="zoomOutImage" src="<?php echo esc_url(get_template_directory_uri().'/assets/banner/banner.jpg');?>" />
									<div class="row main-slider__support">
										<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 main-slider__support-icon">
											<i aria-hidden="true" class="fa fa-headphones"></i>                                    </div>
											<div class="col-xl-10 col-lg-10 col-md-10 col-sm-10 main-slider__support-content">
												<h5 class="main-slider__support-title">Free Expert Advice</h5>
												<p class="main-slider__support-number"><a href="tel:+012 3456 789">+012 3456 789</a></p>
											</div>
										</div>
									</div>
								</div>

								<div class="clearfix"></div>
							</div>
						</div>
					<?php }
				}?> 
			</div>
			<svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
				<symbol xmlns="http://www.w3.org/2000/svg" viewBox="0 0 44 44" width="44px" height="44px" id="circle" fill="none" stroke="currentColor">
					<circle r="20" cy="22" cx="22" id="test">
					</symbol>
				</svg>
			</div>
		</section>
