<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package peccular
 */
get_header(); ?>
 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
 <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id( wc_get_page_id( 'shop' ) ), 'full' );?>
<div class="peccular-page-main"> 
<header class="header--inner area-inner position-relative" style="background: url('<?php echo $thumb['0']; ?>'); background-repeat: no-repeat; background-size:cover;background-position: center;  height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','100')) ?>px;">
            <div class="peccular-innerpage-overlay"></div> 
        <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
          <div class="site-details">
                <div class="image-icon">

    <?php         
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?> 
    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
      <h1 class="ht-main-title text-center">Shop </h1>
        <div class="clearfix"></div>
         <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="cimageinner breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="Breadcrumb_title">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?><span>Shop</span></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
            <div class="clearfix"></div>
        </div> 
 <?php } ?> 
    </div>
 <?php } ?> 

     </div>

</div> 
</div>
</header><!-- .entry-header --> 
<div class="clearfix"></div>
</div>
<div class="single-productpage all-block"> 
	<main id="innerpage-box"> 
		<?php
			//if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
			//get_header('shop'); ?>
			<div id="page" class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>" >
				<div class="inner_contentbox" >
				<article id="content" class="article">

    <?php if (get_theme_mod('peccular__shoppage_layout') == '1' ) { ?>
    	<div class="row m-0">
      <div class="col-xl-8 col-lg-8 col-md-6 col-sm-6">
    		 <?php //the_archive_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
<span class="property-type-badge">
    <?php   
    
        echo single_cat_title();
    ?>
</span>
        <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>
			<?php endwhile; // end of the loop. ?>
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>	
		 </div><!-- #main -->
       <div class="col-xl-4 col-sm-4 col-lg-4 col-md-6 col-sm-6">
	 <button class="button" id="product-page">Filters
	 	</button>
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
		  	<?php endif ?>
		</div>
	</div>

    <?php } else if (get_theme_mod('peccular__shoppage_layout') == '0' ) {?>


<div class="row m-0 hide-in-mobile">
	 <div class="col-xl-3 col-sm-4 col-lg-4 col-md-6 col-sm-6">
	 <button class="button" id="product-page">Filters
	 	</button>
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
		  	<?php endif ?>
		</div>
    	<div class="col-xl-9 col-lg-8 col-md-6 col-sm-6">
    		 <?php //the_archive_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
<span class="property-type-badge">
    <?php   
    
        echo single_cat_title();
    ?>
</span>
        <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>
			<?php endwhile; // end of the loop. ?>
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>	
		 </div><!-- #main -->
	</div>
<div class="row m-0 show-in-mobile">

    	<div class="col-xl-9 col-lg-8 col-md-6 col-sm-6">

    		 <?php //the_archive_title( '<h1 class="ht-main-title">', '</h1>' ); ?>

<span class="property-type-badge">

    <?php   



        echo single_cat_title();

    ?>

</span>

        <?php if ( have_posts() ) : ?>						

			<?php do_action( 'woocommerce_before_shop_loop' ); ?>

			<?php woocommerce_product_loop_start(); ?>

			<?php woocommerce_product_subcategories(); ?>

			<?php while ( have_posts() ) : the_post(); ?>



				<?php wc_get_template_part( 'content', 'product' ); ?>



			<?php endwhile; // end of the loop. ?>

			<?php woocommerce_product_loop_end(); ?>

			<?php do_action( 'woocommerce_after_shop_loop' ); ?>

			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>

		<?php endif; ?>	

		 </div><!-- #main -->

		 	 <div class="col-xl-3 col-sm-4 col-lg-4 col-md-6 col-sm-6">

	 <button class="button" id="product-page">Filters

	 	</button>

		  				<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :

		  		?>

		  		<div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>

		  	<?php endif ?>

		</div>

	</div>

         <?php } if (get_theme_mod('peccular__shoppage_layout') == '2' ) { ?>
         <div class="row m-0">
       <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">	
            <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>
			<?php endwhile; // end of the loop. ?>
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>		
        </div><!-- #main -->
    </div>

	<?php } ?>
					<div class="clearfix"></div>
				</article>
				<?php /*do_action('woocommerce_sidebar');*/ ?>
				<?php //get_sidebar(); ?>	
				<div class="clearfix"></div>
			</div>
				<div class="clearfix"></div>
			</div>	
	</main><!-- #main -->
</div>
<?php get_footer(); ?>
