
<?php 
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package peccular
 */
get_header(); ?>
 <?php 
 $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>

 <?php //do_action('woocommerce_before_main_content'); ?>
	 <div class='button single-pro-btn'>
	 	<div class="container">
	 		<?php peccular_lite_the_breadcrumb(); ?>
	 	</div>
	 	</div>

	<?php do_action( 'woocommerce_archive_description' ); ?> 
<div class="single-productpage">
	<main id="innerpage-box">
		<div id="page" class="container" >
			<div class="">		
				<article id="content" class="article single_inner">
					<?php do_action('woocommerce_before_main_content'); ?>
							<?php while ( have_posts() ) : the_post(); ?>
							<?php wc_get_template_part( 'content', 'single-product' ); ?>
					<?php endwhile; // end of the loop. ?>
				<div class="clearfix"></div>
				<?php
					if ( ! defined( 'ABSPATH' ) ) {
						exit; // Exit if accessed directly
					}
					global $product;
					// Product Reviews
					if ( comments_open() || get_comments_number() ) {
						echo '<div class="woocommerce-product-reviews">';
						echo '<h2 class="woo-reviews">Customer Review</h2>';
						comments_template();
						echo '</div>';
					}
				?>
				<!-- Display Related Products -->
			    <div class="woocommerce-related-products">
			    	<div class="related-products-button">
				        <?php
					        if ( function_exists( 'wc_get_page_id' ) && is_product() ) {
					            global $product;
					            
					            // Get related products IDs
					            $related_products = wc_get_related_products($product->get_id(), 3); // Retrieve 4 related product IDs

					            // Only show the "See All" button if there are related products
					            if (!empty($related_products)) {
					                $shop_page_url = get_permalink( wc_get_page_id( 'shop' ) );
					                // echo '<a href="' . esc_url( $shop_page_url ) . '" class="button">See More Reviews</a>';
					            }
					        }
				        ?>
				    </div>
			        <?php
			            woocommerce_related_products(array(
			                'posts_per_page' => 3,
			                'columns'        => 3,
			                'orderby'        => 'date' 
			            ));
			        ?>
			        
			    </div>
			</article>
			<div class="clearfix"></div>
		</div>
		<div class="clearfix"></div>
	</div>
  </main><!-- #primary -->	
</div>
<div class="clearfix"></div>
    <script type="text/javascript">
        $(document).ready(function(){
            $("#show-review-form").click(function(){
                $("#review_form_wrapper").toggle();
            });
        });
     </script>
<?php get_footer(); ?>
<script>
    var acc = document.getElementsByClassName("accordion");
    var i;

    for (i = 0; i < acc.length; i++) {
        acc[i].onclick = function(){
            this.classList.toggle("active");
            this.nextElementSibling.classList.toggle("show");
        }
    }
</script>